Package org.zkoss.zk.ui.event

## Class SwipeEvent

- java.lang.Object
- - org.zkoss.zk.ui.event.Event
  - - org.zkoss.zk.ui.event.SwipeEvent

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SwipeEvent
      extends Event

  Represents an event that indicates swipe on a component and provides information about the swipe displacement, duration and direction.
  Since:
    6.5.0
  Author:
    vincentjian
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SwipeEvent​(java.lang.String name, Component target, int swipeX, int swipeY, int swipeTime, java.lang.String swipeDir)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getSwipeDirection()` | Returns the swipe direction(left/right/up/down) relevant to the component.
    `int` | `getSwipeDuration()` | Returns the swipe duration(milliseconds) relevant to the component.
    `static SwipeEvent` | `getSwipeEvent​(AuRequest request)` |
    `int` | `getSwipeX()` | Returns the horizontal swipe displacement relevant to the component.
    `int` | `getSwipeY()` | Returns the vertical swipe displacement relevant to the component.

    - ### Methods inherited from class org.zkoss.zk.ui.event.Event

      `getData, getEvent, getName, getPage, getTarget, isPropagatable, stopPropagation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SwipeEvent

          public SwipeEvent​(java.lang.String name,
                            Component target,
                            int swipeX,
                            int swipeY,
                            int swipeTime,
                            java.lang.String swipeDir)

  - ### Method Detail

    - #### getSwipeEvent

          public static final SwipeEvent getSwipeEvent​(AuRequest request)

    - #### getSwipeX

          public int getSwipeX()

      Returns the horizontal swipe displacement relevant to the component.

    - #### getSwipeY

          public int getSwipeY()

      Returns the vertical swipe displacement relevant to the component.

    - #### getSwipeDuration

          public int getSwipeDuration()

      Returns the swipe duration(milliseconds) relevant to the component.

    - #### getSwipeDirection

          public java.lang.String getSwipeDirection()

      Returns the swipe direction(left/right/up/down) relevant to the component.